# _MagickPixelPacket Struct Reference

`#include <pixel.h>`

## Data Fields

ClassType | storage_class
ColorspaceType | colorspace
MagickBooleanType | matte
double | fuzz
unsigned long | depth
MagickRealType | red
MagickRealType | green
MagickRealType | blue
MagickRealType | opacity
MagickRealType | index

## Field Documentation

ClassType _MagickPixelPacket::storage_class

ColorspaceType _MagickPixelPacket::colorspace

MagickBooleanType _MagickPixelPacket::matte

double _MagickPixelPacket::fuzz

unsigned long _MagickPixelPacket::depth

MagickRealType _MagickPixelPacket::red

MagickRealType _MagickPixelPacket::green

MagickRealType _MagickPixelPacket::blue

MagickRealType _MagickPixelPacket::opacity

MagickRealType _MagickPixelPacket::index

The documentation for this struct was generated from the following file:

- pixel.h